<?php
/*
Copyright (C) Högskolan i Skövde <his.se> 2013.
Copyright (C) Oscar Jonsson <c11oscjo@student.his.se> 2013.
Copyright (C) Simon Bergöö <a11simbe@student.his.se> 2013.
This file is part of LenaSYS

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

class layout extends CI_Controller {
	
	public function index() {
		$headTagData = array(
			'cssFiles' => array('header', 'layout_view'),
			'jsFiles' => array('header', 'layout_view', 'userControls')
		);
		$this->load->view('headTag', array('headTagData' => $headTagData));
		
		$this->load->helper('form');
		$this->load->model('user');
		$userInfo = array(
			'userType' => $this->user->getUserType(),
			'userName' => $this->user->getUserName()
		);
		
		$this->load->view('header', $userInfo);
		$this->load->view('layout_view');
		
	}
	public function test($arg1){
		echo "<h1> Layout ".$arg1."</h1>".
			 "<p>You have pressed layout ".$arg1.". (This is only a test-function and will be removed.)</p>";
	}
	
}