<?php
	Class filetree extends CI_Model
	{
		/*
		 *	Loads categories
		 */
		 function getCategories($activeCourse) {
			$this -> db -> select('categoryName');
			$this -> db -> from('Categories'); 
			$this -> db -> where('courseID', $activeCourse); 

			$query = $this -> db -> get();
			return $query->result();
		}
		 
		 /*
		 *	Loads subcategories
		 */
		 function getSubCategories($categoryName, $activeCourse) {
			$this -> db -> select('subCategoryName');
			$this -> db -> from('SubCategories'); 
			$this -> db -> where('categoryName', $categoryName); 
			$this -> db -> where('courseID', $activeCourse); 

			$query = $this -> db -> get();
			return $query->result();
		}
		
		/*
		 *	Loads examples
		 */
		 function getExamples($subCategoryName, $categoryName, $activeCourse) {
			$this -> db -> select('exampleName');
			$this -> db -> from('Examples'); 
			$this -> db -> where('subCategoryName', $subCategoryName); 
			$this -> db -> where('categoryName', $categoryName);
			$this -> db -> where('courseID', $activeCourse);

			$query = $this -> db -> get();
			return $query->result();
		}
		
		/*
		 *	Loads quizzes
		 */
		 function getQuizzes($subCategoryName, $categoryName, $activeCourse) {
			$this -> db -> select('quizNr');
			$this -> db -> from('Quizzes'); 
			$this -> db -> where('subCategoryName', $subCategoryName);
			$this -> db -> where('categoryName', $categoryName);
			$this -> db -> where('courseID', $activeCourse);
			
			$query = $this -> db -> get();
			return $query->result();
		}
		
		
		/* TODO: OLD STUFF BELOW! -------------------------------------------------------------------------------------------*/
		
		/* Loads category names for menu 
		function getTitles($user)
		{
			$this -> db -> select('Categories.categoryName, Categories.courseID');
			$this -> db -> from('Categories');
			$this -> db -> join('StudentCourseRegistrations', 'Categories.courseID = StudentCourseRegistrations.courseID'); 
			$this -> db -> where('StudentCourseRegistrations.username', $user); 
			$this -> db -> order_by("orderNr", "asc"); 
		/* 	$this -> db -> where('StudentCourseRegistrations.courseID', 'd1popcrn');  
		* 	Line is disabled for now because of testing purposes.
		*	Will be modified to be used with parameter in function.
		*//*
			
			$query = $this -> db -> get();
			return $query->result();
		}*/
		
		/* Loads categorys & subcategorys for body 
		function getBody($categoryName)
		{
			$this -> db -> select('subCategoryName');
			$this -> db -> from('SubCategories'); 
			$this -> db -> where('categoryName', $categoryName); 

			$query = $this -> db -> get();
			return $query->result();

		}*/
		
		/* Loads examples for categorys 
		function getExamples($subCategoryName)
		{
			$this -> db -> select('exampleName');
			$this -> db -> from('Examples'); 
			$this -> db -> where('subCategoryName', $subCategoryName); 

			$query = $this -> db -> get();
			return $query->result();


		}*/
	}
?>

