<div id="manageCourses" class="cmsContent">
	<div id="manageCoursesMenu">
		<h1 class="viewTitle">Manage Courses</h1>
		<a class="btn" id="addCourseButton" href="#">Add Course</a>
	</div>
	<div id="bodyContainer">
		<table>
			<tr>
				<th>Course Name</th>
				<th>Course Code</th>
				<th>Description</th>
				<th>Published</th>
				<th>Edit Course Details</th>
			</tr>
			<? foreach($courses as $item): ?>
			<tr data-course="<?= $item->courseID; ?>">
				<td class="courseName"><?= $item->name; ?></td>
				<td class="courseID"><?= $item->courseID; ?></td>
				<td class="courseData"><?= $item->courseData; ?></td>
				<td class="coursePublishButton">
					<? if(ord($item->isHidden)): ?>
						<a href="<?=base_url();?>ajax/publishCourse/<?=$item->courseID;?>" class="publishButton unpublished">Unpublished</a>
					<? else: ?>
						<a href="<?=base_url();?>ajax/unpublishCourse/<?=$item->courseID;?>" class="publishButton published">Published</a>
					<? endif; ?> 
				</td>
				<td><a href="#" class="manageCourseButton">Manage Course</a></td>
			</tr>
			<? endforeach; ?>
		</table>
	</div>
</div><!-- end #manageCourses -->