/* Functions */
$(document).ready(function(){
	drawRows();
});

/* Expands/hides category data */
function categoryExpand(e){
	e = document.getElementById(e);
	
	$(e).children().not('.categoryMoveUp').not('.categoryMoveDown').not(':first-child').toggle();
	if($(e).children().find('p').first().hasClass('expanded')){
		$(e).children().find('p').first().removeClass('expanded');
		$(e).css('height','25px');
		
	}
	else{
		$(e).children().find('p').first().addClass('expanded');
		$(e).removeAttr('style');
	}
	drawRows();
}

function drawRows(){
	var counter=1;
	$('.row').not(':hidden').each(function(){
		counter++;
		if(counter % 2){
			$(this).addClass('odd').removeClass('even');
		}
		else{
			$(this).addClass('even').removeClass('odd');
		}
	});
}

function categoryMoveUp(e)
{
	var targetMenu = $('li[data-name="'+e+'"]');
	e = document.getElementById(e);
	
	$(e).insertBefore($(e).prev());
	$(targetMenu).insertBefore((targetMenu).prev().not('li[class="menuHeader"]'));
	
	$(e).addClass('categoryPulse');
	$(targetMenu).addClass('categoryPulseMini');
	
	drawRows();
}


function categoryMoveDown(e)
{
	var targetMenu = $('li[data-name="'+e+'"]');
	e = document.getElementById(e);
	
	$(e).insertAfter($(e).next());
	$(targetMenu).insertAfter((targetMenu).next());
	
	$(e).addClass('categoryPulse');
	$(targetMenu).addClass('categoryPulseMini');
	
	drawRows();
}

