$(document).ready(function() {

	$("#addStudentButton").click(function(e) {
		e.stopPropagation();
		e.preventDefault();
		$("#popup").load(
			"ajax/popup/addStudents",
			function() {
				$("#popup").fadeIn(300).click(function(e) {e.stopPropagation();});
				$("#popup .cancelButton").click(cancelHandler);
			}
		);
	});

	$(".editStudentDetailsButton").click(function(e) {
		e.stopPropagation();
		e.preventDefault();

		var username = $(this).parent().prevAll(".username").html();
		var name = $(this).parent().prevAll(".name").html();
		var email = $(this).parent().prevAll(".email").html();

		$("#popup").load(
			"ajax/popup/editStudentDetails",
			function() {
				$("#popup #usernameDisplay").html(username);
				$("#popup #username").val(username);
				$("#popup #studentName").val(name);
				$("#popup #studentEmail").val(email);
				$("#popup").fadeIn(300).click(function(e){e.stopPropagation();});
				$("#popup .cancelButton").click(cancelHandler);
			}
		)

	});

	$("html").click(function(e) {
		e.stopPropagation();
		e.preventDefault();
		$("#popup").fadeOut(300, function() { $(this).html("")});
	});

	$("#viewStudents table tr:even").addClass("even");
	$("#viewStudents table tr:odd").addClass("odd");
});

function cancelHandler(e) {
	e.stopPropagation();
	e.preventDefault();
	$("#popup").fadeOut(300, function() { $(this).find(".popup").remove(); });
}